## debsums 1.0

=== Makefile ===
# This makefile is really small. Most of the
# intelligence is in debian/debstd

all:

clean:
	-rm build

install:	
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/sbin
	install debsums $(DESTDIR)/usr/bin
	install debsums_gen $(DESTDIR)/usr/sbin

=== debian/changelog ===
debsums (1.0) unstable; urgency=low

  * debsums split out from debmake
  * provide debsums_gen to generate .md5sums files after installation
    of packages that did not use them.
  * Provide example code from debstd in /usr/doc/debsums/README.debian

 -- Christoph Lameter <clameter@debian.org>  Sun, 19 Oct 1997 14:26:51 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debsums
Section: utils
Priority: optional
Maintainer: Christoph Lameter <clameter@debian.org>
Standards-Version: 2.3.0.0

Package: debsums
Architecture: all
Depends: dpkg-dev
Replaces: debmake
Description: Tools to handle md5sums for installed packages
 This package contains instructions and the tools for having packages
 generate md5sums for all their files as also done by the debstd script
 of debmake. The package also contains a script to generate md5sum files
 for debian packages which do not install an md5sum file. The md5sum will
 be generated after the package is installed by invoking debsums_gen.
 .
 The package also allows comparing the md5sums in a .deb file with
 the current installed files by extracting the md5sums file from the .deb

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

package=debmake

build:
	$(checkdir)
	make

	touch build

clean:
	$(checkdir)
	-rm -f debian
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/*/tmp debian/files* core debian/substvars

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp debian/*/tmp
	make install DESTDIR=debian/tmp
	debstd
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)

.PHONY: binary binary-arch binary-indep clean checkroot

## debsums 1.2.6

=== Makefile ===
# This makefile is really small.

all:

clean:
#	-rm build

install:	
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr/sbin
	install debsums $(DESTDIR)/usr/bin
	install debsums_gen $(DESTDIR)/usr/sbin

=== debian/changelog ===
debsums (1.2.6) frozen unstable; urgency=low

  * RC: Apply patch from Colin Phipps to fix /tmp handling
        (closes: #60228)

 -- Petr Cech <cech@debian.org>  Mon, 13 Mar 2000 20:08:52 +0100

debsums (1.2.5) unstable; urgency=low

  * When package is not installed say so and not that checksums are missing.
    (closes: #60004)

 -- Petr Cech <cech@debian.org>  Sat, 11 Mar 2000 19:18:54 +0100

debsums (1.2.4) frozen unstable; urgency=low

  * To fix missing depends on bsdmainutils (colrm 1 1) use cut -c 2- ,
    which is in textutils. (closes: #59244)

 -- Petr Cech <cech@debian.org>  Tue, 29 Feb 2000 08:11:08 +0100

debsums (1.2.3) frozen unstable; urgency=low

  * Apply patch from Chris Butler, which fixes hang of debsums_gen on empty
    packages (closes: #57972, #35826).

 -- Petr Cech <cech@debian.org>  Mon, 14 Feb 2000 17:02:11 +0100

debsums (1.2.2) unstable; urgency=low

  * debian/copyright: mention location of GPL in Debian
  * changed Build-Depends.
  * switch to debhelper.

 -- Petr Cech <cech@debian.org>  Thu, 13 Jan 2000 17:57:56 +0100

debsums (1.2.1) unstable; urgency=low

  * Add description of -l to debsums.1 (closes: #54931)

 -- Petr Cech <cech@debian.org>  Thu, 13 Jan 2000 09:52:38 +0100

debsums (1.2) unstable; urgency=low

  * New maintainer.
  * Standards-Version: 3.1.1

 -- Petr Cech <cech@debian.org>  Fri, 17 Dec 1999 17:45:41 +0100

debsums (1.1.1) unstable; urgency=low

  * Moved to section admin (closes #16165)

 -- Ben Collins <bcollins@debian.org>  Sat, 30 Jan 1999 09:47:31 -0500

debsums (1.1) unstable; urgency=low

  * Added abilit for debsums_gen to generate md5sums for packages listed
    on the command line. Also added -f option to force overwriting the
    current list.
  * Added ability for debsums to list packages which do not have an
    md5sums list with the -l option

 -- Ben Collins <bcollins@debian.org>  Sat, 30 Jan 1999 00:25:30 -0500

debsums (1.0.1) unstable; urgency=low

  * New maintainer
  * changelog is now compressed in /usr/doc/debsums, fixed itself by
    repackaging with a newer debstd (closes #14617)

 -- Ben Collins <bcollins@debian.org>  Mon, 23 Nov 1997 23:14:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debsums
-Section: utils
+Section: admin
 Priority: optional
-Maintainer: Christoph Lameter <clameter@debian.org>
-Standards-Version: 2.3.0.0
+Maintainer: Petr Cech <cech@debian.org>
+Build-Depends-Indep: debhelper
+Standards-Version: 3.1.1
 
 Package: debsums
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -15,38 +15,44 @@
 
 package=debmake
 
-build:
-	$(checkdir)
-	make
+build: build-stamp
+build-stamp:
+	dh_testdir
 
-	touch build
+	$(MAKE)
+
+	touch build-stamp
 
 clean:
-	$(checkdir)
-	-rm -f debian
+	dh_testdir
+	dh_testroot
+	-rm -f build-stamp
 	-make clean
-	-rm `find . -name "*~"`
-	-rm -rf debian/tmp debian/*/tmp debian/files* core debian/substvars
+#	-rm `find . -name "*~"`
+#	-rm -rf debian/tmp debian/*/tmp debian/files* core debian/substvars
+	dh_clean
 
-binary-arch:	checkroot build
-	$(checkdir)
+binary-arch:
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
 
-binary-indep:	checkroot build
-	$(checkdir)
-	-rm -rf debian/tmp debian/*/tmp
-	make install DESTDIR=debian/tmp
-	debstd
-	dpkg-gencontrol
-	chown -R root.root debian/tmp
-	chmod -R g-ws debian/tmp
-	dpkg --build debian/tmp ..
+binary-indep: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
 
-define checkdir
-	test -f debian/rules
-endef
+	make install DESTDIR=`pwd`/debian/tmp
+	dh_installdocs
+	dh_installmanpages
+	dh_installchangelogs
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
 
 # Below here is fairly generic really
 
@@ -55,7 +61,4 @@
 source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
-checkroot:
-	$(checkdir)
-
-.PHONY: binary binary-arch binary-indep clean checkroot
+.PHONY: build binary binary-arch binary-indep clean

## debsums 2.0.2

=== debian/changelog ===
debsums (2.0.2) unstable; urgency=low

  * Recognise installed packages regardless of the selected state
    (closes: #139869).

  * Clean up temporary directories when interrupted.
  * Allow -s to suppress complaints about missing debs when generating
    missing checksums and document how to fetch missing debs
    (closes: #141155).

  * Document using TMPDIR to change where packages are unpacked for
    --generate.

  * Ignore malformed .conffiles: blank lines and paths without a
    leading slash (closes: #142316).

 -- Brendan O'Dea <bod@debian.org>  Sun, 14 Apr 2002 18:42:19 +1000

debsums (2.0.1) unstable; urgency=low

  * Add some validity checks to md5sums files (closes: #130793).
  * Add version to libdigest-md5-perl dependency (closes: #130803).

 -- Brendan O'Dea <bod@debian.org>  Mon, 28 Jan 2002 15:35:08 +1100

debsums (2.0.0) unstable; urgency=low

  * New maintainer.
  * debsums rewritten in Perl.
    + Understands diversions (closes: #123893, #33306).
    + No longer depends on dpkg-dev (closes: #127327).
    + New option (-c) to report a list of changed files (closes: 89373).
    + Documented usage of APT's DPkg::Post-Invoke hook to generate
      missing checksums on upgrade/install (closes:  #108125).

  * Deprecated debsums_gen.

 -- Brendan O'Dea <bod@debian.org>  Thu, 24 Jan 2002 22:54:46 +1100

debsums (1.3.1) unstable; urgency=low

  * Use dpkg-deb to find out information about .deb (closes: #88448)

 -- Petr Cech <cech@debian.org>  Sun, 11 Mar 2001 22:04:54 +0100

debsums (1.3) unstable; urgency=low

  * Replace debsums with updated script from Clemmitt Sigler.

 -- Petr Cech <cech@debian.org>  Wed, 29 Nov 2000 10:56:12 +0100

debsums (1.2.7) unstable; urgency=low

  * Fails to check packages with empty .conffiles (closes: 75551)
    patch from Janne V. Kujala <jvkujala@cc.jyu.fi>
    - how can a package have empty .conffiles in the first place?

 -- Petr Cech <cech@debian.org>  Wed, 25 Oct 2000 16:15:46 +0200

=== debian/control ===
Source: debsums
Section: admin
Priority: optional
Maintainer: Brendan O'Dea <bod@debian.org>
Build-Depends: debhelper (>= 3.0.0), help2man
Standards-Version: 3.5.6

Package: debsums
Architecture: all
Depends: ${perl:Depends}, libdigest-md5-perl (>= 2.12-2)
Description: Verify installed package files against MD5 checksums.
 debsums can verify the integrity of installed package files against
 MD5 checksums installed by the package, or generated from a .deb
 archive.

=== debian/rules ===
#!/usr/bin/make -f

# rules for debsums

version=$(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')
package=debsums
tmp=debian/$(package)

export DH_COMPAT = 3

build: # nothing
clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-arch: # nothing
binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k

	mkdir -p $(tmp)/usr/bin $(tmp)/usr/sbin
	sed 's/#VERSION#/$(version)/' debsums.in >$(tmp)/usr/bin/debsums
	cp debsums_gen $(tmp)/usr/sbin
	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen

	dh_installdocs README
	dh_installman debsums.1 debsums_gen.8
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-indep binary-arch

.PHONY: build binary binary-arch binary-indep clean

## debsums 2.0.9

=== debian/changelog ===
debsums (2.0.9) unstable; urgency=low

  * Add template translation [fr] from Jean-Luc Coulon (closes: #256328).

 -- Brendan O'Dea <bod@debian.org>  Sun, 27 Jun 2004 10:26:53 +1000

debsums (2.0.8) unstable; urgency=low

  * Add support for replaced files (closes: #99241).  Thanks to Riku
    Voipio for diagnosing.

  * Remove help2man build-dep (manual page is hand-edited; closes: #203934).
  * Convert templates to gettext format for po-debconf (patch from
    Martin Quinson; closes: #254444).

 -- Brendan O'Dea <bod@debian.org>  Sat, 19 Jun 2004 23:12:42 +1000

debsums (2.0.7) unstable; urgency=low

  * Add a debconf option to automatically tell apt to use debsums
    to generate debsum files (patch from Mikko Rauhala; closes: #167348).

 -- Brendan O'Dea <bod@debian.org>  Sun, 13 Jun 2004 14:01:00 +1000

debsums (2.0.6) unstable; urgency=low

  * Add Brazillian Portugese translations of debsums(1) and
    debsums_gen(8) manual pages contributed by Andre Luis Lopes
    (closes: #176925).

 -- Brendan O'Dea <bod@debian.org>  Sat,  8 Feb 2003 12:34:20 +1100

debsums (2.0.5) unstable; urgency=low

  * Add French translation of debsums(1) manual page contributed by
    Antoine Gmis (closes: #165735).

 -- Brendan O'Dea <bod@debian.org>  Sat, 26 Oct 2002 16:15:24 +1000

debsums (2.0.4) unstable; urgency=low

  * Check that the path returned by glob exists (closes: #160193).
  * Backslash some more literal hyphens in debsums manpage.

 -- Brendan O'Dea <bod@debian.org>  Mon,  9 Sep 2002 22:31:30 +1000

debsums (2.0.3) unstable; urgency=low

  * Replace versioned dependency on libdigest-md5-perl with one for
    perl 5.8.0, which now includes that module (versioned dep doesn't
    work against provides).

  * Search for debs filenames with/without architecture and/or epochs
    (closes: #143487).

 -- Brendan O'Dea <bod@debian.org>  Wed, 31 Jul 2002 20:21:57 +1000

## debsums 2.0.13

=== debian/changelog ===
debsums (2.0.13) unstable; urgency=low

  * Add template translation [nl] from Luk Claes (closes: #274903).
  * Add template translation [it] from Luca Monducci (closes: #284246).

 -- Brendan O'Dea <bod@debian.org>  Mon,  6 Dec 2004 05:39:09 +1100

debsums (2.0.12) unstable; urgency=low

  * Add template translation [da] from Claus Hindsgaul (closes: #262979).

 -- Brendan O'Dea <bod@debian.org>  Sun, 19 Sep 2004 17:02:05 +1000

debsums (2.0.11) unstable; urgency=low

  * Arguments ending with ".deb" should not be interpreted as package
    names (thanks to Guentcho Skorde; closes: #191841).

  * Giving an archive as an argument implies --generate=missing for that
    package (thanks to Guentcho Skorde; closes #191842).

  * Fix from Mario Holbe so that the pattern whichs checks the Status
    field for "installed" no longer matches "not-installed" (oops;
    closes: #260798).

  * Another from Mario Holbe, typo in Replaces regex (closes: #261007).
    Additionally warn on unparsable "Replaces" fields.

  * Remove XSI -a/-o test extensions from debsums_gen on the off chance
    that some lunatic chooses both to install posh as /bin/sh and also
    to run this deprecated program (closes: #256495).

  * Only run debsums post-dpkg if it exists (prevents problems with
    aptitude after the package is removed; closes: #257082).

  * Remove db_set from debian/config which was overriding the user's
    choice.

 -- Brendan O'Dea <bod@debian.org>  Sat, 24 Jul 2004 18:46:25 +1000

debsums (2.0.10) unstable; urgency=low

  * Add template translation [ja] from Hideki Yamane (closes: #256483).

 -- Brendan O'Dea <bod@debian.org>  Tue, 29 Jun 2004 08:05:20 +1000

## debsums 2.0.16

=== debian/changelog ===
debsums (2.0.16) unstable; urgency=low

  * Remove leading ./ from paths (closes: #295954).

 -- Brendan O'Dea <bod@debian.org>  Wed,  9 Mar 2005 07:09:18 +1100

debsums (2.0.15) unstable; urgency=low

  * Oops.  Typo in parsing of /etc/locale.nopurge.  Closes: #292998.

 -- Brendan O'Dea <bod@debian.org>  Tue,  1 Feb 2005 10:59:31 +1100

debsums (2.0.14) unstable; urgency=low

  * Add template translation [cs] from Jan Outrata (closes: #266573).
  * Will not warn on locale purged files if /etc/locale.nopurge
    exists, unless --no-locale-purge is given (closes: #149029).
  * Print full path when printing file paths (closes: #210970).
  * Document that the manpage example will not work for CD-ROM and
    local sources, see #191840.
  * Added an option to check only configuration files (closes: #261123).

  Thanks to Javier Fernandez-Sanguino Pen~a for analysis and patches.

 -- Brendan O'Dea <bod@debian.org>  Sun, 30 Jan 2005 10:39:10 +1100

=== debian/control ===
Source: debsums
Section: admin
Priority: optional
Maintainer: Brendan O'Dea <bod@debian.org>
Build-Depends: debhelper (>= 4.1.16)
Standards-Version: 3.6.1

Package: debsums
Architecture: all
Depends: perl (>= 5.8.0-3), ${misc:Depends}
Description: Verify installed package files against MD5 checksums.
 debsums can verify the integrity of installed package files against
 MD5 checksums installed by the package, or generated from a .deb
 archive.

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
+	debconf-updatepo
 
 binary-arch: # nothing
 binary-indep:
@@ -26,11 +27,11 @@
 	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen
 
 	dh_installdocs README
-	dh_installman debsums.1 debsums_gen.8
+	dh_installman debsums*.1 debsums_gen*.8
 	dh_installchangelogs
+	dh_installdebconf
 	dh_compress
 	dh_fixperms
-	dh_perl
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## debsums 2.0.18

=== debian/changelog ===
debsums (2.0.18) unstable; urgency=low

  * Don't return failure on purged locale files (closes: #314959).
  * Use a different exit status to indicate changed/missing files.
  * Add support for prelink (closes: #231537).

 -- Brendan O'Dea <bod@debian.org>  Wed, 22 Jun 2005 00:09:15 +1000

debsums (2.0.17) unstable; urgency=low

  * Add template translation [vi] from Clytie Siddall (closes: #310212).

 -- Brendan O'Dea <bod@debian.org>  Fri, 10 Jun 2005 23:24:41 +1000

## debsums 2.0.24

=== debian/changelog ===
debsums (2.0.24) unstable; urgency=low

  * Add man/ru/addendum.ru

 -- Brendan O'Dea <bod@debian.org>  Thu, 15 Dec 2005 10:48:58 +1100

debsums (2.0.23) unstable; urgency=low

  * Include Russian translation from Yuri Kozlov (closes: #343220).

 -- Brendan O'Dea <bod@debian.org>  Wed, 14 Dec 2005 23:52:42 +1100

debsums (2.0.22) unstable; urgency=low

  * Use dpkg --print-architecture to get $arch (closes: #340161).

 -- Brendan O'Dea <bod@debian.org>  Wed,  7 Dec 2005 07:57:55 +1100

debsums (2.0.21) unstable; urgency=low

  * Oops.  Also check for arch "all" archives (closes: #342230).

 -- Brendan O'Dea <bod@debian.org>  Wed,  7 Dec 2005 07:34:37 +1100

debsums (2.0.20) unstable; urgency=low

  * Use arch rather than * when searching for archives (closes: #318377).
  * Switch to po4a for manual page translations.  Thanks to Frédéric
    Bothamy for the patch (closes: #339689).

 -- Brendan O'Dea <bod@debian.org>  Sat, 19 Nov 2005 17:09:04 +1100

debsums (2.0.19) unstable; urgency=low

  * Escape backticks in man page (closes: #315904).
  * Add Portuguese translation from Miguel Figueire (closes: #330205).
  * Add Swedish translation from Daniel Nylander (closes: #331335).
  * Add Spanish translation from César Gómez Martín (closes: #336045).

 -- Brendan O'Dea <bod@debian.org>  Sat, 29 Oct 2005 17:22:02 +1000

## debsums 2.0.28

=== debian/changelog ===
debsums (2.0.28) unstable; urgency=low

  * Handle obsolete conffiles correctly (closes: #364537).

 -- Brendan O'Dea <bod@debian.org>  Mon, 22 May 2006 22:16:07 +1000

debsums (2.0.27) unstable; urgency=low

  * Include Swedish translation from Daniel Nylander (closes: #353604).

 -- Brendan O'Dea <bod@debian.org>  Tue, 21 Feb 2006 01:38:36 +1100

debsums (2.0.26) unstable; urgency=low

  * Trivial translation update (thanks Frédéric, closes: #351378).

 -- Brendan O'Dea <bod@debian.org>  Wed,  8 Feb 2006 22:42:45 +1100

debsums (2.0.25) unstable; urgency=low

  * Fix "missmatch" typo reported by A Costa (closes: #351004).

 -- Brendan O'Dea <bod@debian.org>  Thu,  2 Feb 2006 22:09:54 +1100

## debsums 2.0.30

=== debian/changelog ===
debsums (2.0.30) unstable; urgency=low

  * Paranoia: only check regular files (not char special, pipe, etc).
  * Catch errors from $digest->addfile so that the problem package/file
    may be reported.

  * Use 'quote' in messages rather than `quote' (as recommended by
    http://www.cl.cam.ac.uk/~mgk25/ucs/quotes.html).

  * Add template translation [pt_BR] from Herbert P Fortes Neto
    (closes: #389035).

  * Add template translation [de] from Sven Joachim (closes: #385104).
  * Unfuzzy French, Russian and Sweedish translations (thanks Frédéric,
    closes: #389528).

 -- Brendan O'Dea <bod@debian.org>  Wed,  1 Nov 2006 11:29:16 +1100

debsums (2.0.29) unstable; urgency=low

  * Fix typo in debsums(1) manual page (thanks Sven Joachim,
    closes: #384629).

 -- Brendan O'Dea <bod@debian.org>  Sun, 27 Aug 2006 18:33:56 +1000

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 package=debsums
 tmp=debian/$(package)
 
-export DH_COMPAT = 3
+export DH_COMPAT = 5
 
 build: # nothing
 clean:
@@ -14,6 +14,8 @@
 	dh_testroot
 	dh_clean
 	debconf-updatepo
+	cd man; po4a -q po4a.cfg
+	rm -f man/po/*~ man/*/debsums*.[18]
 
 binary-arch: # nothing
 binary-indep:
@@ -27,7 +29,10 @@
 	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen
 
 	dh_installdocs README
-	dh_installman debsums*.1 debsums_gen*.8
+	cd man; po4a -q po4a.cfg
+	dh_installman man/debsums*.1 man/debsums_gen*.8 man/*/debsums*.1 \
+	    man/*/debsums_gen*.8
+
 	dh_installchangelogs
 	dh_installdebconf
 	dh_compress

## debsums 2.0.32

=== debian/changelog ===
debsums (2.0.32) unstable; urgency=low

  * Add Galician debconf translation from Jacobo Tarrio (closes #412490).

 -- Brendan O'Dea <bod@debian.org>  Wed, 14 Mar 2007 23:01:16 +1100

debsums (2.0.31) unstable; urgency=low

  * More paranoia: open files non-blocking (closes: #406266).

 -- Brendan O'Dea <bod@debian.org>  Sat, 27 Jan 2007 21:08:30 +1100

## debsums 2.0.34

=== debian/changelog ===
debsums (2.0.34) unstable; urgency=low

  * Set umask to ensure created .md5sums are readable (closes: #421782).
  * Apply detailed patch from Osamu Aoki to provide a new script debsums_init
    which an administrator may run once to initially create missing md5sums
    from cached and/or downloaded packages prior to enabling automatic
    updates (closes: #443530).

 -- Brendan O'Dea <bod@debian.org>  Thu, 29 Nov 2007 08:29:30 +1100

debsums (2.0.33) unstable; urgency=low

  * Apply patch from Nicolas François to generate Swedish manual pages
    in latin-1 (closes: #441835).

 -- Brendan O'Dea <bod@debian.org>  Mon, 17 Sep 2007 09:36:47 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Brendan O'Dea <bod@debian.org>
-Build-Depends: debhelper (>= 4.1.16)
+Build-Depends: debhelper (>= 4.1.16), po4a
 Standards-Version: 3.6.1
 
 Package: debsums

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_testroot
 	dh_clean
 	debconf-updatepo
-	cd man; po4a -q po4a.cfg
+	cd man && po4a --no-translations --rm-backups po4a.cfg
 	rm -f man/po/*~ man/*/debsums*.[18]
 
 binary-arch: # nothing
@@ -25,13 +25,13 @@
 
 	mkdir -p $(tmp)/usr/bin $(tmp)/usr/sbin
 	sed 's/#VERSION#/$(version)/' debsums.in >$(tmp)/usr/bin/debsums
-	cp debsums_gen $(tmp)/usr/sbin
-	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen
+	cp debsums_gen debsums_init $(tmp)/usr/sbin
+	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen \
+	    $(tmp)/usr/sbin/debsums_init
 
 	dh_installdocs README
-	cd man; po4a -q po4a.cfg
-	dh_installman man/debsums*.1 man/debsums_gen*.8 man/*/debsums*.1 \
-	    man/*/debsums_gen*.8
+	cd man && po4a --rm-backups po4a.cfg
+	dh_installman `find man -type f -name '*.[18]'`
 
 	dh_installchangelogs
 	dh_installdebconf

## debsums 2.0.35

=== debian/changelog ===
debsums (2.0.35) unstable; urgency=low

  * Take over this package with permission from Brendan
  * Add collab-maint repo to debian/control
  * Bump Standards-Version to 3.8.0
  * Bump debhelper dependency and compatibility to 6
  * Add dependency on po-debconf
  * Add debhelper substitution variable to the postinst

  * Update French manpage translation (closes: #456288)
  * Update Russian manpage translation (closes: #471035)
  * Fix typos in README file (closes: #486313, #480546)
  * Fix hyphen problems in manpage
  * Rephrase short description for this package

 -- Francois Marier <francois@debian.org>  Wed, 02 Jul 2008 17:23:28 +1200

=== debian/control ===
Source: debsums
Section: admin
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 6), po-debconf, po4a
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/debsums.git;a=summary

Package: debsums
Architecture: all
Depends: perl (>= 5.8.0-3), ${misc:Depends}
Description: verification of installed package files against MD5 checksums
 debsums can verify the integrity of installed package files against
 MD5 checksums installed by the package, or generated from a .deb
 archive.

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 version=$(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')
 package=debsums
 tmp=debian/$(package)
-
-export DH_COMPAT = 5
 
 build: # nothing
 clean:

## debsums 2.0.36

=== debian/changelog ===
debsums (2.0.36) unstable; urgency=low

  * Taken this package over with permission from Francois
  * Added rdebsums and it's man page (closes: #290277)

 -- Mike Forbes <mike@nothing.net.nz>  Sat, 05 Jul 2008 16:38:32 +1200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debsums
 Section: admin
 Priority: optional
-Maintainer: Francois Marier <francois@debian.org>
+Maintainer: Mike Forbes <mike@nothing.net.nz>
+Uploaders: Francois Marier <francois@debian.org>
 Build-Depends: debhelper (>= 6), po-debconf, po4a
 Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,9 @@
 	mkdir -p $(tmp)/usr/bin $(tmp)/usr/sbin
 	sed 's/#VERSION#/$(version)/' debsums.in >$(tmp)/usr/bin/debsums
 	cp debsums_gen debsums_init $(tmp)/usr/sbin
+	cp rdebsums $(tmp)/usr/bin
 	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen \
-	    $(tmp)/usr/sbin/debsums_init
+	    $(tmp)/usr/sbin/debsums_init $(tmp)/usr/bin/rdebsums
 
 	dh_installdocs README
 	cd man && po4a --rm-backups po4a.cfg

## debsums 2.0.40

=== debian/changelog ===
debsums (2.0.40) unstable; urgency=low

  * Updated Dutch debconf template (closes: #503400)
  * Updated Swedish debconf template (closes: #505742)
  * Updated Spanish debconf template (closes: #507756)

 -- Francois Marier <francois@debian.org>  Thu, 04 Dec 2008 21:55:34 +1300

debsums (2.0.39) unstable; urgency=low

  * Allow users to also run the cronjob weekly or monthly, but
    default to "never" (closes: #501331)
  * Use the append syntax of apt's PostInvoke (closes: #501542)

  * Debconf templates:
    - Reworded question based on reviews by MJ Ray and Christian
    - Updated Traditional Chinese Translation (closes: #502053)
    - Updated Dutch translation (closes: #501376)
    - Updated French translation (closes: #501478)
    - Updated Finnish translation (closes: #501706, #503277)
    - Updated German translation (closes: #503112)
    - Updated Italian translation (closes: #502409)
    - Updated Japanese translation (closes: #502198)
    - Updated Portugese translation (closes: #502566)
    - Updated Russian translation (closes: #502456)
    - Updated Ukranian translation

 -- Francois Marier <francois@debian.org>  Sat, 25 Oct 2008 11:39:16 +1300

debsums (2.0.38) unstable; urgency=low

  * Fix the cronjob when the ignore file is empty or missing (closes: #499532)
  * Make the daily cronjob optional through debconf (closes: #499840)
  * Use ionice to reduce the impact of having the cronjob running

  * Re-write postrm script and don't ignore errors (lintian warning)
  * Move directory creation to debian/dirs
  * Re-write debian/copyright
  * Remove emacs mode setting lines from the changelog
  * Swap maintainer and uploader fields
  * Bump debhelper version to 7

  * Debconf templates:
    - New Traditional Chinese translation (closes: #501165)
    - New Ukranian translation
    - Updated Brazillian Portugese translation (closes: #500975)
    - Updated German translation (closes: #500470)
    - Updated Italian translation (closes: #500825)
    - Updated Japanese translation (closes: #500466)
    - Updated Portugese translation (closes: #500945)
    - Updated Russian translation (closes: #500828)
    - Updated Swedish translation
    - Updated Vietnamese translation (closes: #500666)

 -- Francois Marier <francois@debian.org>  Sun, 05 Oct 2008 14:12:24 +1300

debsums (2.0.37) unstable; urgency=low

  [ Mike Forbes ]
  * Added Finnish translation of debsums template (closes: #492618) 

  [ Francois Marier ]
  * Added daily cronjob and ignore file (closes: #88951)

 -- Francois Marier <francois@debian.org>  Thu, 18 Sep 2008 11:47:45 +1200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: debsums
 Section: admin
 Priority: optional
-Maintainer: Mike Forbes <mike@nothing.net.nz>
-Uploaders: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 6), po-debconf, po4a
+Maintainer: Francois Marier <francois@debian.org>
+Uploaders: Mike Forbes <mike@nothing.net.nz>
+Build-Depends: debhelper (>= 7), po-debconf, po4a
 Standards-Version: 3.8.0
 Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/debsums.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 version=$(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')
 package=debsums
-tmp=debian/$(package)
+tmp=$(CURDIR)/debian/$(package)
 
 build: # nothing
 clean:
@@ -19,19 +19,21 @@
 binary-indep:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
+	dh_installdirs
 
-	mkdir -p $(tmp)/usr/bin $(tmp)/usr/sbin
 	sed 's/#VERSION#/$(version)/' debsums.in >$(tmp)/usr/bin/debsums
 	cp debsums_gen debsums_init $(tmp)/usr/sbin
 	cp rdebsums $(tmp)/usr/bin
 	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen \
 	    $(tmp)/usr/sbin/debsums_init $(tmp)/usr/bin/rdebsums
-
+	touch $(tmp)/etc/debsums-ignore
 	dh_installdocs README
 	cd man && po4a --rm-backups po4a.cfg
 	dh_installman `find man -type f -name '*.[18]'`
 
+	dh_installcron
+	dh_installinit
 	dh_installchangelogs
 	dh_installdebconf
 	dh_compress

## debsums 2.0.46

=== debian/changelog ===
debsums (2.0.46) unstable; urgency=low

  * Bump Standards-Version to 3.8.2
  * Remove debconf question about croncheck (closes: #533594, #503444)
  * Add lintian-override about the postinst

 -- Francois Marier <francois@debian.org>  Fri, 26 Jun 2009 16:30:46 +1200

debsums (2.0.45) unstable; urgency=low

  * Updated French translation (closes: #526198)
  * Updated Czech translation (closes: #533106)

 -- Francois Marier <francois@debian.org>  Mon, 15 Jun 2009 10:04:40 +1200

debsums (2.0.44) unstable; urgency=low

  * Fix typo in debsums_gen.8 manpage (closes: #522942)
  * Add German translation (closes: #524008)

 -- Francois Marier <francois@debian.org>  Tue, 14 Apr 2009 20:28:01 +1200

debsums (2.0.43) unstable; urgency=low

  * Fall back on regular sysopen if the NOATIME one fails (closes: #519816)

 -- Francois Marier <francois@debian.org>  Mon, 16 Mar 2009 08:53:43 +1300

debsums (2.0.42) unstable; urgency=low

  * Open files with O_NOATIME to reduce disk activity (closes: #518608)
  * Bump Standards-Version up to 3.8.1

 -- Francois Marier <francois@debian.org>  Sun, 15 Mar 2009 13:17:17 +1300

debsums (2.0.41) unstable; urgency=low

  * Updated Galician debconf template (closes: #509907)
  * Updated Vietnamese debconf template (closes: #513590)

 -- Francois Marier <francois@debian.org>  Sat, 31 Jan 2009 11:49:20 +1300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Francois Marier <francois@debian.org>
 Uploaders: Mike Forbes <mike@nothing.net.nz>
 Build-Depends: debhelper (>= 7), po-debconf, po4a
-Standards-Version: 3.8.0
+Standards-Version: 3.8.2
 Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/debsums.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	cd man && po4a --rm-backups po4a.cfg
 	dh_installman `find man -type f -name '*.[18]'`
 
+	dh_lintian
 	dh_installcron
 	dh_installinit
 	dh_installchangelogs

## debsums 2.0.48

=== debian/changelog ===
debsums (2.0.48) unstable; urgency=low

  * reword the --ignore-permissions documentation to say that it makes
    error get treated as warnings, thanks Sandro (Closes: #546977)
  * update email address
  * fix handling of O_NOATIME on arches that don't defined O_NOATIME
    (Closes: 559551)
  * update localepurge handling (Closes: #548278)
  * set Standards-Version to 3.8.3
  * rather than filing in the version at build time, figure it out in a
    smarter way during runtime

 -- Ryan Niebur <ryan@debian.org>  Sun, 20 Dec 2009 14:01:25 -0800

debsums (2.0.47) unstable; urgency=low

  [ Francois Marier ]
  * debian/postinst: fix syntax error in /etc/apt/apt.conf.d/90debsums
    Thanks to Filippo for the heads up! (closes: #535364)

  [ Ryan Niebur ]
  * set myself as maintainer (Closes: #534655)
    - add DMUA field
  * document the solution to bug #74033
  * document the possible outcomes (Closes: #469774)
  * patch from sgran to fix rmtree usage (Closes: #487317)
  * add --ignore-permissions option for use by reportbug (Closes:
    #536576)
  * fix manpage problems (Closes: #538293)
  * add spanish translation, thanks to Omar Campagne (Closes: #541783)
  * simplify the output for missing/changed files in silent mode
    (Closes: #524650)
  * make the short description a noun phrase
  * fix copyright stuff

 -- Ryan Niebur <ryanryan52@gmail.com>  Sat, 05 Sep 2009 00:50:48 -0700

=== debian/control ===
Source: debsums
Section: admin
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 7), po-debconf, po4a
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/debsums.git;a=summary

Package: debsums
Architecture: all
Depends: perl (>= 5.8.0-3), ${misc:Depends}
Description: tool for verification of installed package files against MD5 checksums
 debsums can verify the integrity of installed package files against
 MD5 checksums installed by the package, or generated from a .deb
 archive.

## debsums 2.0.48+nmu1

=== debian/changelog ===
debsums (2.0.48+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Use ucf to properly manage the content of /etc/apt.conf.d/90debsums
    (closes: #571116).
    - Add ucf in Depends.
    - Lintian override updated for the new postinst version

 -- Giovanni Mascellani <mascellani@poisson.phc.unipi.it>  Tue, 11 May 2010 23:29:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: debsums
 Architecture: all
-Depends: perl (>= 5.8.0-3), ${misc:Depends}
+Depends: perl (>= 5.8.0-3), ucf (>= 0.28), ${misc:Depends}
 Description: tool for verification of installed package files against MD5 checksums
  debsums can verify the integrity of installed package files against
  MD5 checksums installed by the package, or generated from a .deb

## debsums 2.0.48+nmu3

=== debian/changelog ===
debsums (2.0.48+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Actually fix the LC_ALL issue. Closes: #592081

 -- David Prévot <david@tilapin.org>  Wed, 17 Nov 2010 17:16:07 -0400

debsums (2.0.48+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish translation (Joe Hansen). Closes: #584487
  * Manpages translations:
    - Russian (Yuri Kozlov). Closes: #585698
    - French (David Prévot). Closes: #597477
    - German (Chris Leick). Closes: #602383
    - Portuguese (Américo Monteiro). Closes: #602538
    - Spanish (Omar Campagne). Closes: #602704
    - Swedish (Martin Bagge). Closes: #602916
  * Simplify po4a.cfg to handle every languages.
  * Fix dpkg-divert handling:
    - LANG issue (Timo Weingärtner). Closes: #592081
    - admindir issue (Jörg Sommer). Closes: #602187

 -- David Prévot <david@tilapin.org>  Tue, 09 Nov 2010 22:10:29 -0400

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # rules for debsums
 
-version=$(shell dpkg-parsechangelog | sed -n 's/^Version: *//p')
 package=debsums
 tmp=$(CURDIR)/debian/$(package)
 
@@ -22,9 +21,8 @@
 	dh_prep
 	dh_installdirs
 
-	sed 's/#VERSION#/$(version)/' debsums.in >$(tmp)/usr/bin/debsums
 	cp debsums_gen debsums_init $(tmp)/usr/sbin
-	cp rdebsums $(tmp)/usr/bin
+	cp debsums rdebsums $(tmp)/usr/bin
 	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen \
 	    $(tmp)/usr/sbin/debsums_init $(tmp)/usr/bin/rdebsums
 	touch $(tmp)/etc/debsums-ignore

## debsums 2.0.49

=== debian/changelog ===
debsums (2.0.49) unstable; urgency=low

  [ Anders Kaseorg ]
  * Use dpkg-query instead of reading /var/lib/dpkg/status directly.  We
    still use /var/lib/dpkg/info directly to find the paths to .md5sums
    files, but now at least we try to verify our guess by checking that
    the corresponding .lists file exist.  (Closes: #616066)
  * Add multiarch support.

  [ Ryan Niebur ]
  * integrate NMUs, thank you Giovanni and David (Closes: #603189)
  * when querying dpkg-divert include the user specified root filesystem
    in --admindir (Closes: #632463)
  * add Korean translation for debconf templates, thanks min-ji Kang
    (Closes: #632009)
  * update debhelper compat version to 8
    - shorten debian/rules
  * update policy version to 3.9.2.0
    - set debian/source/format to 3.0 (native)
  * check if missing files match dpkg path exclusion settings (Closes:
    #603887)

 -- Ryan Niebur <ryan@debian.org>  Sun, 04 Sep 2011 01:43:59 -0700

=== debian/control ===
Source: debsums
Section: admin
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Build-Depends: debhelper (>= 8), po-debconf, po4a
Standards-Version: 3.9.2.0
Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/debsums.git;a=summary

Package: debsums
Architecture: all
Depends: perl (>= 5.8.0-3), ucf (>= 0.28), libfile-fnmatch-perl, libdpkg-perl, ${misc:Depends}
Description: tool for verification of installed package files against MD5 checksums
 debsums can verify the integrity of installed package files against
 MD5 checksums installed by the package, or generated from a .deb
 archive.

## debsums 2.0.50

=== debian/changelog ===
debsums (2.0.50) unstable; urgency=low

  * add Greek translation, thanks to Georgios M. Zarkadas (Closes:
    #642316)
  * Send the output of the cron jobs to syslog as well (Closes: #651887)

 -- Ryan Niebur <ryan@debian.org>  Tue, 20 Dec 2011 17:02:22 -0800

## debsums 2.0.51~bpo60+1

=== debian/changelog ===
debsums (2.0.51~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Backported 2.0.51 rather than the more current 2.0.52 because 2.0.52 would
    add a dependency on dpkg 1.16 in order to drop debsums_gen.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Mar 2013 12:05:57 +0100

debsums (2.0.51) unstable; urgency=low

  * Support dpkg multiarch from version 1.16.2~wipmultiarch, which has
    renamed the new PackageSpec field to binary:Package (Closes:
    #659170, #649156)
    - Apply patch from Anders to keep compatibilty with PackageSpec,
      still used by Ubuntu's multiarch
  * Add Anders Kaseorg to Uploaders, he is now a comaintainer

 -- Ryan Niebur <ryan@debian.org>  Sat, 11 Feb 2012 10:26:33 -0800

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Ryan Niebur <ryan@debian.org>
+Uploaders: Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper (>= 8), po-debconf, po4a
 Standards-Version: 3.9.2.0
 Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git

## debsums 2.0.51

=== debian/rules ===
#!/usr/bin/make -f

# rules for debsums

package=debsums
tmp=$(CURDIR)/debian/$(package)

%:
	dh $@

override_dh_auto_install:
	cp debsums_gen debsums_init $(tmp)/usr/sbin
	cp debsums rdebsums $(tmp)/usr/bin
	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen \
	    $(tmp)/usr/sbin/debsums_init $(tmp)/usr/bin/rdebsums
	touch $(tmp)/etc/debsums-ignore
	cd man && po4a --rm-backups po4a.cfg

override_dh_auto_clean:
	debconf-updatepo
	cd man && po4a --no-translations --rm-backups po4a.cfg
	rm -f man/po/*~ man/*/debsums*.[18]

override_dh_installdocs:
	dh_installdocs README

override_dh_installman:
	dh_installman `find man -type f -name '*.[18]'`

## debsums 2.0.52

=== debian/changelog ===
debsums (2.0.52) unstable; urgency=low

  * Remove debsums_gen from package (Closes: #640296)
  * Remove the obsolete 90debsums apt configuration file on install and
    make the keep option to generate md5sums file using debsums a noop
    - Add dependency on dpkg version 1.16.3, which generates md5sums
  * Allow Multi-Arch: same packages to be specified to debsums without
    the : suffix by using a mapping for fallback package names (Closes:
    #673174)
  * Remove debian/templates and man/debsums_gen.8, as well as associated
    translation files
  * Update Standards-Version to 3.9.3

 -- Ryan Niebur <ryan@debian.org>  Mon, 18 Jun 2012 17:55:57 -0700

## debsums 2.0.52+deb7u1

=== debian/changelog ===
debsums (2.0.52+deb7u1) wheezy; urgency=low

  * Non-maintainer upload.
  * Take patch from 2.0.52+nmu2 from Axel Beckert to suppress reporting
    conffiles which were moved to a new package as modified in the old
    package. (Closes: #744398)

 -- Holger Levsen <holger@debian.org>  Mon, 02 Jun 2014 14:14:24 +0200

## debsums 2.0.52+nmu1

=== debian/changelog ===
debsums (2.0.52+nmu1) unstable; urgency=low

  * Non-maintainer upload
  * Use dpkg-divert without path (Closes: #709009)

 -- Axel Beckert <abe@debian.org>  Sat, 03 Aug 2013 14:56:51 +0200

=== debian/control ===
Source: debsums
Section: admin
Priority: optional
Maintainer: Ryan Niebur <ryan@debian.org>
Uploaders: Anders Kaseorg <andersk@mit.edu>
Build-Depends: debhelper (>= 8), po-debconf, po4a
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/debsums.git;a=summary

Package: debsums
Architecture: all
Depends: perl (>= 5.8.0-3), ucf (>= 0.28), libfile-fnmatch-perl, libdpkg-perl, dpkg (>= 1.16.3), ${misc:Depends}
Description: tool for verification of installed package files against MD5 checksums
 debsums can verify the integrity of installed package files against
 MD5 checksums installed by the package, or generated from a .deb
 archive.

=== debian/rules ===
--- 
+++ 
@@ -9,15 +9,14 @@
 	dh $@
 
 override_dh_auto_install:
-	cp debsums_gen debsums_init $(tmp)/usr/sbin
+	cp debsums_init $(tmp)/usr/sbin
 	cp debsums rdebsums $(tmp)/usr/bin
-	chmod 755 $(tmp)/usr/bin/debsums $(tmp)/usr/sbin/debsums_gen \
+	chmod 755 $(tmp)/usr/bin/debsums  \
 	    $(tmp)/usr/sbin/debsums_init $(tmp)/usr/bin/rdebsums
 	touch $(tmp)/etc/debsums-ignore
 	cd man && po4a --rm-backups po4a.cfg
 
 override_dh_auto_clean:
-	debconf-updatepo
 	cd man && po4a --no-translations --rm-backups po4a.cfg
 	rm -f man/po/*~ man/*/debsums*.[18]

## debsums 2.0.52+nmu2

=== debian/changelog ===
debsums (2.0.52+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Suppress reporting conffiles which were moved to a new package as
    modified in the old package. (Closes: #744398)

 -- Axel Beckert <abe@debian.org>  Thu, 29 May 2014 19:50:48 +0200

## debsums 2.0.52+nmu3

=== debian/changelog ===
debsums (2.0.52+nmu3) unstable; urgency=medium

  * Non-maintainer upload
  * Fix case where previous patch doesn't report all changed files.
    (Closes: #775313) Thanks Marek Veber for report and patch!

 -- Axel Beckert <abe@debian.org>  Wed, 14 Jan 2015 22:55:45 +0100

## debsums 2.0.53

=== debian/changelog ===
debsums (2.0.53) unstable; urgency=medium

  * Take package under maintenance of the Debian Perl Group
    + Move Maintainer to Uploaders
    + Set Maintainer to the Debian Perl Group
    + Update Vcs-* header to point to pkg-perl git repository
    + See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=744398#722 and
      https://lists.debian.org/debian-perl/2015/01/msg00010.html for
      discussions about moving to group maintenance.
  * Add myself as Uploader.
  * Canonicalize Vcs-* headers.
  * Apply patch by Vladimir N. Solovyov to also report modified files of
    arch-qualified (multiarch) packages. (Closes: #773136)

 -- Axel Beckert <abe@debian.org>  Wed, 18 Mar 2015 20:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: debsums
 Section: admin
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
-Uploaders: Anders Kaseorg <andersk@mit.edu>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: Ryan Niebur <ryan@debian.org>, Anders Kaseorg <andersk@mit.edu>, Axel Beckert <abe@debian.org>
 Build-Depends: debhelper (>= 8), po-debconf, po4a
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/debsums.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/debsums.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/debsums.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/debsums.git
 
 Package: debsums
 Architecture: all
